package cn.com.ctop.toutiao.modules.tool.controller;

import cn.com.ctop.common.module.service.ICtopOauthTokenService;
import cn.com.ctop.toutiao.modules.tool.service.IByteDanceConvertToolService;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@Slf4j
@RestController
@RequestMapping("/ctop/queryTool")
public class ByteDanceQueryToolController {

    @Autowired
    private IByteDanceConvertToolService byteDanceConvertToolService;

    @Autowired
    ICtopOauthTokenService ctopOauthTokenService;

    /**
     *  查询转化目标接口
     */
    @PostMapping(value="/queryConvert")
    public Result<Map<String,Object>> queryConvertResult(Long accountId, String landingType, String appType,
                                                                String downloadType,String externalUrl,String toutiaoPackage,
                                                                String downloadUrl){

        Result<Map<String,Object>> result=new Result<>();
        Map<String, Object> convertQueryMap = byteDanceConvertToolService.queryAdConvert(ctopOauthTokenService.getTokenByAccountId(accountId), accountId,
                landingType, appType, downloadType, externalUrl, toutiaoPackage, downloadUrl);
        if(!convertQueryMap.get("code").equals(0)){
            result.error500("查询转化目标结果失败");
            return result;
        }
        result.setSuccess(true);
        result.setResult(convertQueryMap);
        return result;
    }
}
